For the complete documentation index, see llms.txt. This page is also available as Markdown.

Page

Add a page

post

This is for adding a new page.

Header parameters
AuthorizationstringRequired
Body
titlestringRequired
contentstringRequired
activeinteger · int32Required
metaTagTitlestringOptional
metaTagContentstringOptional
metaTagKeywordstringOptional
pageGroupIdinteger · int32Required
pageSlugstringOptional
Responses
200

success response

application/json
titlestringOptional
contentstringOptional
isActivestringOptional
pageGroupIdstringOptional
metaTagTitlestringOptional
metaTagContentstringOptional
metaTagKeywordstringOptional
slugNamestringOptional
createdDatestring · date-timeOptional
pageIdintegerOptional
post/page
POST /page HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 148

"title='text'&content='text'&active=1&metaTagTitle='text'&metaTagContent='text'&metaTagKeyword='text'&pageGroupId=1&pageSlug='text'"
{
  "title": "text",
  "content": "text",
  "isActive": "text",
  "pageGroupId": "text",
  "metaTagTitle": "text",
  "metaTagContent": "text",
  "metaTagKeyword": "text",
  "slugName": "text",
  "createdDate": "2026-01-01T00:00:00.000Z",
  "pageId": 1
}

List of pages

get

This is for getting the list of added pages.

Query parameters
limitintegerRequired
offsetintegerOptional
keywordstringOptional
statusstringOptional
countintegerOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got pages count " or " Successfully got the complete list of pages.
get/page
GET /page?limit=1 HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got pages count \" or \" Successfully got the complete list of pages."
}

Update a page

put

This is for updating an already added page.

Path parameters
idintegerRequired
Header parameters
AuthorizationstringRequired
Body
pageIdinteger · int32Required
titlestringRequired
contentstringRequired
activeinteger · int32Required
metaTagTitlestringOptional
metaTagContentstringOptional
metaTagKeywordstringOptional
pageGroupIdinteger · int32Required
pageSlugstringOptional
Responses
200

success response

application/json
createdByintegerOptionalDefault: 1
createdDatestring · date-timeOptional
modifiedByintegerOptional
modifiedDatestring · date-timeOptional
pageIdintegerOptional
titlestringOptional
introstringOptional
contentstringOptional
pageGroupIdstringOptional
sortOrderintegerOptional
metaTagTitlestringOptional
slugNamestringOptional
metaTagContentstringOptional
metaTagKeywordstringOptional
viewPageCountintegerOptional
isActivestringOptional
put/page/{id}
PUT /page/{id} HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 159

"pageId=1&title='text'&content='text'&active=1&metaTagTitle='text'&metaTagContent='text'&metaTagKeyword='text'&pageGroupId=1&pageSlug='text'"
{
  "createdBy": 1,
  "createdDate": "2026-01-01T00:00:00.000Z",
  "modifiedBy": 1,
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "pageId": 1,
  "title": "text",
  "intro": "text",
  "content": "text",
  "pageGroupId": "text",
  "sortOrder": 1,
  "metaTagTitle": "text",
  "slugName": "text",
  "metaTagContent": "text",
  "metaTagKeyword": "text",
  "viewPageCount": 1,
  "isActive": "text"
}

Delete a page

delete

This is for deleting an already added page, if not needed anymore.

Path parameters
idintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully deleted the page.
delete/page/{id}
DELETE /page/{id} HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully deleted the page."
}

Delete multple page

post

This is for deleting the already added pages, if not needed anymore.

Header parameters
AuthorizationstringRequired
Body
pageIdinteger[]Optional
Responses
200

success response

application/json
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully deleted the page.
post/page/delete-page
POST /page/delete-page HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 14

"pageId=[1]"
{
  "status": 1,
  "message": "Successfully deleted the page."
}

Count the page

get

This is for Count the number of page

Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got the page count
get/page/page-count
GET /page/page-count HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the page count"
}

Getting a page

get

This is for getting a page lis

Query parameters
pageIdintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got page detail
get/page/page-detail
GET /page/page-detail?pageId=1 HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got page detail"
}

Last updated